Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class EnquiryItemType

    java.lang.Object
      nz.co.cks.tms.xml.EnquiryItemType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  EnquiryItem

public abstract class EnquiryItemType
extends java.lang.Object
implements java.io.Serializable

Class EnquiryItemType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private boolean` | `_has_ncbId` keeps track of state for field: _ncbId
`private java.util.Vector` | `_itemCodeList` Field _itemCodeList
`private int` | `_ncbId` Field _ncbId
`private java.lang.String` | `_serviceCode` Field _serviceCode

Constructor Summary
`EnquiryItemType()`

Method Summary
`void` | `addItemCode(int index, java.lang.String vItemCode)` Method addItemCode
`void` | `addItemCode(java.lang.String vItemCode)` Method addItemCode
`java.util.Enumeration` | `enumerateItemCode()` Method enumerateItemCode
`java.lang.String[]` | `getItemCode()` Method getItemCode
`java.lang.String` | `getItemCode(int index)` Method getItemCode
`int` | `getItemCodeCount()` Method getItemCodeCount
`int` | `getNcbId()` Method getNcbIdReturns the value of field 'ncbId'.
`java.lang.String` | `getServiceCode()` Method getServiceCodeReturns the value of field 'serviceCode'.
`boolean` | `hasNcbId()` Method hasNcbId
`boolean` | `isValid()` Method isValid
`void` | `removeAllItemCode()` Method removeAllItemCode
`java.lang.String` | `removeItemCode(int index)` Method removeItemCode
`void` | `setItemCode(int index, java.lang.String vItemCode)` Method setItemCode
`void` | `setItemCode(java.lang.String[] itemCodeArray)` Method setItemCode
`void` | `setNcbId(int ncbId)` Method setNcbIdSets the value of field 'ncbId'.
`void` | `setServiceCode(java.lang.String serviceCode)` Method setServiceCodeSets the value of field 'serviceCode'.
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _has_ncbId

    private boolean _has_ncbId

  keeps track of state for field: _ncbId

### _itemCodeList

    private java.util.Vector _itemCodeList

  Field _itemCodeList

### _ncbId

    private int _ncbId

  Field _ncbId

### _serviceCode

    private java.lang.String _serviceCode

  Field _serviceCode

Constructor Detail

### EnquiryItemType

    public EnquiryItemType()

Method Detail

### addItemCode

    public void addItemCode(int index,
                            java.lang.String vItemCode)
                     throws java.lang.IndexOutOfBoundsException

  Method addItemCode

  Parameters:
    `index` -
    `vItemCode` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addItemCode

    public void addItemCode(java.lang.String vItemCode)
                     throws java.lang.IndexOutOfBoundsException

  Method addItemCode

  Parameters:
    `vItemCode` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### enumerateItemCode

    public java.util.Enumeration enumerateItemCode()

  Method enumerateItemCode

### getItemCode

    public java.lang.String[] getItemCode()

  Method getItemCode

### getItemCode

    public java.lang.String getItemCode(int index)
                                 throws java.lang.IndexOutOfBoundsException

  Method getItemCode

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getItemCodeCount

    public int getItemCodeCount()

  Method getItemCodeCount

### getNcbId

    public int getNcbId()

  Method getNcbIdReturns the value of field 'ncbId'.

  Returns:
    the value of field 'ncbId'.

### getServiceCode

    public java.lang.String getServiceCode()

  Method getServiceCodeReturns the value of field 'serviceCode'.

  Returns:
    the value of field 'serviceCode'.

### hasNcbId

    public boolean hasNcbId()

  Method hasNcbId

### isValid

    public boolean isValid()

  Method isValid

### removeAllItemCode

    public void removeAllItemCode()

  Method removeAllItemCode

### removeItemCode

    public java.lang.String removeItemCode(int index)

  Method removeItemCode

  Parameters:
    `index` -

### setItemCode

    public void setItemCode(int index,
                            java.lang.String vItemCode)
                     throws java.lang.IndexOutOfBoundsException

  Method setItemCode

  Parameters:
    `index` -
    `vItemCode` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setItemCode

    public void setItemCode(java.lang.String[] itemCodeArray)

  Method setItemCode

  Parameters:
    `itemCodeArray` -

### setNcbId

    public void setNcbId(int ncbId)

  Method setNcbIdSets the value of field 'ncbId'.

  Parameters:
    `ncbId` - the value of field 'ncbId'.

### setServiceCode

    public void setServiceCode(java.lang.String serviceCode)

  Method setServiceCodeSets the value of field 'serviceCode'.

  Parameters:
    `serviceCode` - the value of field 'serviceCode'.

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD